MCP Tools Reference: logging.googleapis.com

Tool: get_view

Use this as the primary tool to get a specific view on a log bucket. Log views provide fine-grained access control to the logs in your buckets.

The following sample demonstrate how to use curl to invoke the get_view MCP tool.

Curl Request
                  
curl --location 'https://logging.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_view",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The parameters to GetView.

GetViewRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the policy:

"projects/[PROJECT_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]/views/[VIEW_ID]"

For example:

"projects/my-project/locations/global/buckets/my-bucket/views/my-view"

Output Schema

Describes a view over log entries in a bucket.

LogView

JSON representation
{
  "name": string,
  "description": string,
  "createTime": string,
  "updateTime": string,
  "filter": string
}
Fields
name

string

Output only. The resource name of the view.

For example:

projects/my-project/locations/global/buckets/my-bucket/views/my-view

description

string

Optional. Describes this view.

createTime

string (Timestamp format)

Output only. The creation timestamp of the view.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The last update timestamp of the view.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

filter

string

Optional. Filter that restricts which log entries in a bucket are visible in this view.

Filters must be logical conjunctions that use the AND operator, and they can use any of the following qualifiers:

  • SOURCE(), which specifies a project, folder, organization, or billing account of origin.
  • resource.type, which specifies the resource type.
  • LOG_ID(), which identifies the log.

They can also use the negations of these qualifiers with the NOT operator.

For example:

SOURCE("projects/myproject") AND resource.type = "gce_instance" AND NOT LOG_ID("stdout")

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌